## CamelMimeFilterGZip

CamelMimeFilterGZip

## Functions

CamelMimeFilter * | camel_mime_filter_gzip_new ()

## Types and Values

struct | CamelMimeFilterGZip
enum | CamelMimeFilterGZipMode

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterGZip

## Description

## Functions

### camel_mime_filter_gzip_new ()

    CamelMimeFilter *
    camel_mime_filter_gzip_new (CamelMimeFilterGZipMode mode,
                                gint level);

Creates a new gzip (or gunzip) filter.

#### Parameters

mode | zip or unzip |
level | compression level |

#### Returns

a new gzip (or gunzip) filter.

## Types and Values

### struct CamelMimeFilterGZip

    struct CamelMimeFilterGZip;

### enum CamelMimeFilterGZipMode

#### Members

CAMEL_MIME_FILTER_GZIP_MODE_ZIP |  |
CAMEL_MIME_FILTER_GZIP_MODE_UNZIP |  |